Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class XSLProcessorContext

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.XSLProcessorContext

public class XSLProcessorContext
extends java.lang.Object

Captures processor context to be passed to an extension element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Sanjiva Weerawarana (sanjiva@watson.ibm.com)
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`QName` | `mode`
`XSLTEngineImpl` | `processor`
`org.w3c.dom.Node` | `sourceNode`
`org.w3c.dom.Node` | `sourceTree`
`Stylesheet` | `stylesheetTree`

Constructor Summary
`XSLProcessorContext(XSLTEngineImpl processor, Stylesheet stylesheetTree, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processor

    public XSLTEngineImpl processor

### stylesheetTree

    public Stylesheet stylesheetTree

### sourceTree

    public org.w3c.dom.Node sourceTree

### sourceNode

    public org.w3c.dom.Node sourceNode

### mode

    public QName mode

Constructor Detail

### XSLProcessorContext

    public XSLProcessorContext(XSLTEngineImpl processor,
                               Stylesheet stylesheetTree,
                               org.w3c.dom.Node sourceTree,
                               org.w3c.dom.Node sourceNode,
                               QName mode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD